/**
 * @typedef {import('../../../types/Config.d.ts').ResolveReferenceOptions} RefOpts
 * @typedef {import('../../../types/Config.d.ts').ResolveReferenceOptionsInternal} RefOptsInternal
 * @typedef {import('../../../types/DesignToken.d.ts').DesignTokens} DesignTokens
 * @typedef {import('../../../types/DesignToken.d.ts').DesignToken} DesignToken
 */
/** Utility to resolve references inside a string value
 * @param {string} value
 * @param {DesignTokens} tokens
 * @param {RefOpts} [opts]
 * @returns {string|number|undefined}
 */
export function resolveReferences(value: string, tokens: DesignTokens, opts?: import("../../../types/Config.d.ts").ResolveReferenceOptions | undefined): string | number | undefined;
/**
 * Utility to resolve references inside a string value
 * @param {string} value
 * @param {DesignTokens} tokens
 * @param {RefOptsInternal} [opts]
 * @returns {string|number|undefined}
 */
export function _resolveReferences(value: string, tokens: DesignTokens, { regex, separator, opening_character, closing_character, ignorePaths, current_context, stack, foundCirc, firstIteration, }?: import("../../../types/Config.d.ts").ResolveReferenceOptionsInternal | undefined): string | number | undefined;
export type RefOpts = import('../../../types/Config.d.ts').ResolveReferenceOptions;
export type RefOptsInternal = import('../../../types/Config.d.ts').ResolveReferenceOptionsInternal;
export type DesignTokens = import('../../../types/DesignToken.d.ts').DesignTokens;
export type DesignToken = import('../../../types/DesignToken.d.ts').DesignToken;
